﻿using Shared;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CSVFileRepository
{
    public class CSVRepository: IPersonRepository
    {
        public void AddPerson(Person person)
        {
            throw new NotImplementedException();
        }

        public IEnumerable<Person> GetPeople()
        {
            List<Person> people = new List<Person>();

            string[] lines = File.ReadAllLines("data.txt");
            foreach (string line in lines)
            {
                string[] tokens = line.Split(',');

                Person person = new Person
                {
                    Id = int.Parse(tokens[0].Trim()),
                    FirstName = tokens[1].Trim(),
                    LastName = tokens[2].Trim(),
                    BirthDate = DateTime.ParseExact(tokens[3].Trim(), "dd/MM/yyyy",
                        CultureInfo.InvariantCulture)
                };

                people.Add(person);
            }

            return people;
        }

        public Person GetPerson(string firstName)
        {
            throw new NotImplementedException();
        }

        public void UpdatePerson(int personId, Person updatedPerson)
        {
            throw new NotImplementedException();
        }

        public void DeletePerson(string firstName)
        {
            throw new NotImplementedException();
        }

        public void UpdatePeople(IEnumerable<Person> updatedPeopele)
        {
            throw new NotImplementedException();
        }
    }
}
