﻿using Shared;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Program
{
    public class RepositoryFactory
    {
        //public static IPersonRepository GetRepository(string type)
        //{
        //    IPersonRepository repo = null;

        //    switch (type)
        //    {
        //        case "Service":
        //            repo = new ServiceRepository();
        //            break;

        //        case "SQL":
        //            repo = new SQLRepository();
        //            break;

        //        case "CSV":
        //            repo = new CSVRepository();
        //            break;

        //        default:
        //            throw new ArgumentException("Invalid Repository Type");
        //    }

        //    return repo;
        //}


        public static IPersonRepository GetRepository()
        {
            string typeName = ConfigurationManager.AppSettings["RepositoryType"]; // (1)
            Type type = Type.GetType(typeName); // (2)
            object instance = Activator.CreateInstance(type); // (3)
            IPersonRepository repo = instance as IPersonRepository;
            return repo;
        }
    }
}
